setwd("/Users/pb/Documents/Vorträge/2020/JAM 26.06.20/")
library("rtweet")
library("igraph")
library("wordcloud2")
library("viridis")
source("make_graph.R")
source("plot_data.R")
source("wordcloud.R")
par(family = "Helvetica Neue")

###############################################################
sw <- search_tweets(paste(paste(letters, collapse = " OR "), "OR ü OR ä OR ö"),
                    n = 5000, include_rts = FALSE, retryonratelimit = TRUE)
generate_all_plots = function(name, ids){
  data = search_tweets(ids, n = 500, retryonratelimit = TRUE, include_rts = TRUE)
  G = make_graph(data, "steelblue")
  plot_data(G, name)
  plot_wordcloud(data, name, sw)
}
###############################################################

####################

ids = "rezomusik OR altenbockum OR TeamKenFM OR jreichelt"
name = "persons"
generate_all_plots(name, ids)

####################

ids = "Verschwörungstheorie"
name = "VTheorie"
generate_all_plots(name, ids)

####################

ids = "covid OR corona wahrheit OR schwindel"
name = "allgemeine V-Theorien"
generate_all_plots(name, ids)

####################

ids = "covid OR corona 5g OR gates OR soros"
name = "spezifische V-Theorien"
generate_all_plots(name, ids)

####################

ids = "maulkorb"
name = "gegen Maskenpflicht"
generate_all_plots(name, ids)

####################

ids = "widerstand2020 OR coronarebellen OR coronawahnsinn"
name = "spezifische Hashtags"
generate_all_plots(name, ids)

